## Name

gfs_acl_set_qualifier — set the qualifier of a Gfarm ACL entry

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_acl_set_qualifier(` | entry_d, |
| qualifier`)`; |

`gfarm_acl_entry_t entry_d`;
`const char *qualifier`;

## INPUT ARGUMENTS

`entry_d`

  An ACL entry.

`qualifier`

  A qualifier string (username or groupname) which is duplicated for the ACL entry.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

gfs_acl_create_entry(3), gfs_acl_free(3), gfs_acl_get_entry(3), gfs_acl_get_permset(3), gfs_acl_set_permset(3), gfs_acl_get_tag_type(3), gfs_acl_set_tag_type(3), gfs_acl_get_qualifier(3)